!
! = cpmain
!
! author    ::   (KOMATSU Kengo)
! version   :: 2.0
! date      :: 2006/03/23
! copyright :: Copyright (c) K.K & PGK, 2006. All rights reserved.
!
!
program cpmain
  implicit none
  integer, parameter :: im = 31
  integer, parameter :: jm = 91
  integer :: logscale_v
  integer :: i,j
  integer :: istat
  real(4) :: xmin, xmax, ymin, ymax
  real(4) :: xwidth, ywidth
  real(4) :: value(1:im,1:jm)
  character(len=30) :: title_t, title_x, title_y, title_v
  integer, external :: PGOPEN
  external ColorPlot

  xmin   = 30.0
  xmax   = 60.0
  xwidth = 1.0
  ymin   = 1.0
  ymax   = 10.0
  ywidth = 0.1

  ! ---- եåǥХ򳫤 ----
  !
  ! PGOPEN ξܺ٤ PGPLOT ֥롼󡦥ե󥹤 PGOPEN ι
  ! ȤƤ
  !
  istat = PGOPEN('? ')
  if (istat .le. 0 ) stop "An error has occured in PGOPEN! ... Stop."
  call PGSUBP(1,3)           ! ɽ̤ʣΥѥͥʬ䤹

  ! ---- ץå 1 ----
  do j=1,jm
     do i=1,im
        value(i,j) = real(i*j)
     end do
  end do
  title_t="Fig title 01"
  title_x="x coordinate 01"
  title_y="y coordinate 01"
  title_v="value 01"
  call ColorPlot(xmin,xmax,ymin,ymax,xwidth,ywidth,                   &
       &          value(:,:),im,jm,logscale_v,                        &
       &          title_t,title_x,title_y,title_v)

  ! ---- ץå 2 ----
  logscale_v = 1
  do j=1,jm
     do i=1,im
        value(i,j) = real(i*j)
     end do
  end do
  title_t="Fig title 02"
  title_x="x coordinate 02"
  title_y="y coordinate 02"
  title_v="value 02"
  call ColorPlot(xmin,xmax,ymin,ymax,xwidth,ywidth,                   &
       &          value(:,:),im,jm,logscale_v,                        &
       &          title_t,title_x,title_y,title_v)

  ! ---- ץå 3 ----
  logscale_v = 0
  do j=1,jm
     do i=1,im
        value(i,j) = real(i+j)
     end do
  end do
  title_t="Fig title 03"
  title_x="x coordinate 03"
  title_y="y coordinate 03"
  title_v="value 03"
  call ColorPlot(xmin,xmax,ymin,ymax,xwidth,ywidth,                   &
       &         value(:,:),im,jm,logscale_v,                         &
       &         title_t,title_x,title_y,title_v)

  ! ---- եåǥХĤ ----
  call PGCLOS
end program cpmain
